.svg {
    display: inline-block;
    stroke-width: 0;
    stroke: currentColor;
    fill: currentColor;

    // map of svg fill colors
    $map-svg-colors: (
        'white': $white,
        'black': $black,
    );

    // svg colors
    @each $name, $fill in $map-svg-colors {
        &--#{$name} {
            fill: $fill;
        }
    }

    // map of svg sizes
    $map-svg-sizes: (
        'xxsmall': 8px,
        'xsmall': 15px,
        'small': 20px,
        'medium': 25px,
        'large': 35px,
    );

    // sizes
    @each $name, $size in $map-svg-sizes {
        &--#{$name} {
            width: $size;
            height: $size;
        }
    }
}
